Summary:	The KDE Network Monitor
Name:		knemo
Version:	0.7.6
Release:	%mkrel 3

License:	GPLv2+
Group:		Graphical desktop/KDE
Source0:	http://kde-apps.org/CONTENT/content-files/12956-%{name}-%{version}.tar.bz2
URL:		http://kde-apps.org/content/show.php?content=12956

BuildRequires:	kdelibs4-devel
BuildRequires:	kdebase4-workspace-devel
BuildRequires:  libiw-devel
BuildRequires:  libnl3-devel
Requires:	wireless-tools
Requires:	qt4-database-plugin-sqlite

%description
KNemo offers a network monitor similar to the one found in Windows. 
For every network interface it displays an icon in the systray.

Features:
* support for ethernet (including wireless) and ppp connections
* the icon shows incoming/outgoing traffic
* hiding of icon when the interface is not available
* automatic detection of wireless extensions for ethernet interfaces
* left-clicking on an icon displays a status dialog with information
  about the selected interface (2nd click hides dialog)
* configuration via context menu or control center module
  (Internet & Network/Network Monitor)
* customizable tooltip for quick access to often needed information
* you can activate 2 custom entries for the context menu. They can 
  have custom text and a command to run when selected. You can even 
  select if the commands need root permissions or not.
* automatic detection of available interfaces (click on 'Default' in 
  the configuration dialog and KNemo will look under /proc/net/dev for
  interfaces)
* KNemo uses more standard icon names which allows support from other
  icon themes.

Please make sure that in the settings the paths for 'ifconfig' and 'iwconfig'
are correct and that both programs are installed.

IMPORTANT: KNemo is not an executable but an KDED service. Therefore 
it has to be started using Control Center/KDE Components/Service Manager. 

%files -f %{name}.lang
%defattr(-,root,root)
%_kde_bindir/knemo
%_kde_libdir/kde4/kcm_knemo.so
%_kde_datadir/applications/kde4/knemo.desktop
%_kde_appsdir/knemo
%_kde_appsdir/kconf_update/*
%_kde_datadir/autostart/knemo.desktop
%_kde_iconsdir/hicolor/*/*/*
%_kde_datadir/kde4/services/kcm_knemo.desktop

#--------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde4
%make

%install
rm -rf %{buildroot}
%makeinstall_std -C build

%find_lang %{name} %{name} kcm_knemo knemod

%clean
rm -rf %{buildroot}


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 0.7.6-3.mga3
+ Revision: 356349
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 11 2013 fwang <fwang> 0.7.6-2.mga3
+ Revision: 345489
- rebuild for new iw

* Sat Dec 08 2012 fwang <fwang> 0.7.6-1.mga3
+ Revision: 328039
- br nl3
- br libksignalplotter
- new version 0.7.6

* Sat Jan 07 2012 fwang <fwang> 0.7.3-1.mga2
+ Revision: 192849
- new version 0.7.3

* Sun Aug 07 2011 fwang <fwang> 0.7.2-1.mga2
+ Revision: 132139
- new version 0.7.2

* Sat May 07 2011 ahmad <ahmad> 0.7.1-1.mga1
+ Revision: 95708
- Update to 0.7.2
- imported package knemo

